petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetBrowsOfAcols

Creates a SeqAIJ matrix by taking rows of B that equal to nonzero columns of local A

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetBrowsOfAcols(Mat A,Mat B,MatReuse scall,IS *rowb,IS *colb,Mat *B_seq)

Collective on Mat

### Input Parameters

| A,B | - the matrices in mpiaij format
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| rowb, colb | - index sets of rows and columns of B to extract (or NULL)

### Output Parameter

| rowb, colb | - index sets of rows and columns of B to extract
| B_seq | - the sequential matrix generated

### Level

developer

### Location

src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages